;InnoSetupVersion=4.2.6

[Setup]
AppName=BulletProof FTP Server
AppVerName=BulletProof FTP Server
AppId=BulletProof FTP Server
AppVersion=2.3.1 (Build 26)
AppPublisher=DigitalCandle, Inc
AppPublisherURL=http://www.bpftpserver.com/
AppSupportURL=http://www.bpftpserver.com/?page=support
AppUpdatesURL=http://www.bpftpserver.com/?page=download
AppMutex=G6ftpserver
DefaultDirName={pf}\BPFTP Server
DefaultGroupName=BulletProof FTP Server
UninstallDisplayIcon={app}\bpftpserver.exe
UninstallDisplayName=BulletProof FTP Server (remove only)
UninstallFilesDir={app}\Uninstall
OutputBaseFilename=bpftpserver_install-2.3.1.26
Compression=lzma
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
; Source: "{app}\backup\,1"; DestDir: "{app}\backup"; Flags: uninsneveruninstall skipifsourcedoesntexist 
; Source: "{app}\backup\,2"; DestDir: "{app}\backup"; Flags: uninsneveruninstall skipifsourcedoesntexist 
; Source: "{app}\backup\,3"; DestDir: "{app}\backup"; Flags: uninsneveruninstall skipifsourcedoesntexist 
; Source: "{app}\backup\,4"; DestDir: "{app}\backup"; Flags: uninsneveruninstall skipifsourcedoesntexist 
Source: "{app}\License.txt"; DestDir: "{app}"; 
Source: "{app}\Version.txt"; DestDir: "{app}"; 
Source: "{app}\BulletProof FTP Server Website.url"; DestDir: "{app}"; 
Source: "{app}\bpftpserver.exe"; DestDir: "{app}"; Components: server; Flags: comparetimestamp 
Source: "{app}\bpftpserver-register.exe"; DestDir: "{app}"; Components: server; Flags: comparetimestamp 
Source: "{app}\bpftpserver-service.exe"; DestDir: "{app}"; Components: service; Flags: comparetimestamp 
Source: "{app}\bpftpserver-ipwatch.exe"; DestDir: "{app}"; Components: ipwatch; Flags: comparetimestamp 
Source: "{app}\manual\00.legal.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\11.installation.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\12.uninstall.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\21.briefdescription.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\22.interface.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\30.tutorial.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\31.setupuser.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\33.linksfile.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\34.spyuser.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\35.ipaccess.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\41.ftpcommands.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\42.commandline.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\43.performance.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\44.service.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\52.bug.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\accueil.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\bpftp.css"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\g6.css"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\index.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\menu.html"; DestDir: "{app}\manual"; Components: help; 
Source: "{app}\manual\pix\02_online.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\03_wordwrap.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\04_clear_new.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\05_door_closed.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\06_event.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\07_free_files.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\08_info.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\09_log.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\10_logging.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\11_loupe.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\13_pause.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\15_pointint.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\16_quit.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\17_setup.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\18_stat.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\19_user.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\20_alwaysontop.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\21_group.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\24_kick.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\25_logtoscreen.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\26_refresh.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\27_userlist.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\28_userbannedlist.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\29_grid.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\32_ip.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\33_copy.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\bpftp_server.jpg"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\eventsmanager.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\group.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\hitometer.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\infomenu2.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\interface1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\ipaccess.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\ipaccess.jpg"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\ipsetting.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\links.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\linksfile.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\sendmessage.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serveractivity.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serveradvanced.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\servercache.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverdynip.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverfreefiles.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\servergeneral.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverlogadvanced.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverlogfile.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverlogscreen.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverlogsetup.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\servermultiip.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serveroptions.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverpasvmode.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverscheduler.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\serverstatgen.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\servervisual.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\service.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\setupmain.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\stat.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor2.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor3.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor4.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor4_1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor5.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\tutor5_1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\userban.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\user_links.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\user_misc.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\user_ratio.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\user_setup.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\vd1.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\vd2.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\manual\pix\vd3.gif"; DestDir: "{app}\manual\pix"; Components: help; 
Source: "{app}\Administrative Tools\Stop BPFTPServer Service.bat"; DestDir: "{app}\Administrative Tools"; Components: service; 
Source: "{app}\Administrative Tools\Start BPFTPServer Service.bat"; DestDir: "{app}\Administrative Tools"; Components: service; 

[Run]
Filename: "{app}\bpftpserver.exe"; WorkingDir: "{app}"; Description: "Launch BulletProof FTP Server"; Components: server; Flags: postinstall nowait

[UninstallRun]
Filename: "{app}\bpftpserver-service.exe"; Parameters: "-uninstall -name:""BPFTPServer"""; WorkingDir: "{app}"; StatusMsg: "Uninstalling system service..."; 

[Icons]
Name: "{userdesktop}\BulletProof FTP Server"; Filename: "{app}\bpftpserver.exe"; Components: server; Tasks: desktopicon; 
Name: "{group}\BulletProof FTP Server"; Filename: "{app}\bpftpserver.exe"; Components: server; Tasks: startmenuicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\BulletProof FTP Server"; Filename: "{app}\bpftpserver.exe"; Components: server; Tasks: quicklaunchicon; 
Name: "{group}\BulletProof IP Watch"; Filename: "{app}\bpftpserver-ipwatch.exe"; Components: ipwatch; Tasks: startmenuicon; 
Name: "{group}\Activate Registration"; Filename: "{app}\bpftpserver-register.exe"; Components: server; Tasks: startmenuicon; 
Name: "{group}\License"; Filename: "{app}\License.txt"; Components: server; Tasks: startmenuicon; 
Name: "{group}\Uninstall BulletProof FTP Server"; Filename: "{uninstallexe}"; Components: server; Tasks: startmenuicon; 
Name: "{group}\BulletProof FTP Server Website"; Filename: "{app}\BulletProof FTP Server Website.url"; Components: server; Tasks: startmenuicon; 
Name: "{group}\Administrative Tools\Stop Service"; Filename: "{app}\Administrative Tools\Stop BPFTPServer Service.bat"; Components: service; Tasks: startmenuicon; 
Name: "{group}\Administrative Tools\Start Service"; Filename: "{app}\Administrative Tools\Start BPFTPServer Service.bat"; Components: service; Tasks: startmenuicon; 
Name: "{group}\Administrative Tools\Install Service"; Filename: "{app}\bpftpserver-service.exe"; Parameters: "-install -name:""BPFTPServer"" -launch:""bpftpserver.exe -h -s -service"""; Components: service; Tasks: startmenuicon; 
Name: "{group}\Administrative Tools\Uninstall Service"; Filename: "{app}\bpftpserver-service.exe"; Parameters: "-uninstall -name:""BPFTPServer"""; Components: service; Tasks: startmenuicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &Desktop icon"; GroupDescription: "Additional icons:"; Components: "server"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; Components: "server"; 
Name: "startmenuicon"; Description: "Create &Start menu icons"; GroupDescription: "Additional icons:"; Components: "server"; 

[Components]
Name: "server"; Description: "BulletProof FTP Server"; Types: "full custom"; 
Name: "ipwatch"; Description: "BulletProof IP Watch"; Types: "full custom"; 
Name: "service"; Description: "Service installer for Windows NT/2000/2003/XP only"; Types: "full custom"; 
Name: "help"; Description: "Help files"; Types: "full custom"; 

[InstallDelete]
Type: files; Name: "{app}\G6FTPSrv.exe"; 
Type: files; Name: "{app}\G6Service.exe"; 

[Types]
Name: "full"; Description: "Full installation"; 
Name: "custom"; Description: "Custom installation"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
